problem with configuring gobject-introspection for pygobject and pygtk

i am trying to install pygtk on my mac which then asked me to install pygobject which then asked me to get gobject-introspection . the problem i have in this installation is while configuring it...

configure error for --- gobject ---- python header not found

Python header files are not found when configuring gobject-introspection. I have downloaded tar for :----- gobject-introspection-1.34.2 command :----- gobject-introspection-1.34.2$...

pygobject-2.28.6 won't configure: No package 'gobject-introspection-1.0' found, how do I resolve?

I'm trying to get pygobject-2.28.6 to compile in cygwin (version in repository is 2.28.4 which has some issues). Here is the tail of ./configure: checking for GLIB - version >= 2.24.0... yes...

GObject Introspection across multiple languages

The Wiki page of the old PyGTK 2.8 binding states that an object properly written in Python should also be easily usable from C code, or even other language bindings. But PyGTK is outdated and...

How to use C libraries to create GNOME app in JavaScript

I am a beginner in GNOME desktop application development so I am trying to learn about it as much as possible. I have read various tutorials present on developer.gnome.org written for JavaScript....

GdkPixbuf returns "gi._glib.GError: Couldn't recognize the image file format"

I have a problem loading PNG images in Gtk3. I have broken image symbols in my ToolButtons and after some investigation it appears that it comes from GdkPixbuf not being able to read the PNG...

How do I plug the memory leak when usign gdbus-codegen generated code?

I have an interface described in DBus Introspection XML format: <!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN" ...

How to install graph-tool for Anaconda Python 3.5 on linux-64?

I'm trying to install graph-tool for Anaconda Python 3.5 on Ubuntu 14.04 (x64), but it turns out that's a real trick. I tried this approach, but run into the problem: The following specifications...

GStreamer installation is missing a plug-in

I hope that someone can help with this problem, been searching for a solution for the past 2 days. To describe the problem in short: I'm trying to make a simple qt5.7 application that will stream...

ImportError: cannot import name GstRtspServer, introspection typelib not found

Im trying to get a simple GstRtspServer program working on an external amazon linux EC2 server at the moment, but I am having serious issues getting it to actually run. No matter what I do I keep...

How to install PyGObject in Anaconda on linux?

When importing PyGObject in my Anaconda Python3.7 installation, import gi gi.require_version("Gtk", "3.0") from gi.repository import Gtk I get following error message: ValueError: Namespace Gtk...

python3 Gtk program throws introspection typelib error

I am trying to convert a python2 GtK program, specifically Comix, to python3 Gtk program. I have reached a point where the program throws an error: ImportError: cannot import name Gobject,...

ValueError: Namespace Gtk not available

When following the instructions 2. Getting Started — Python GTK+ 3 Tutorial 3.4 documentation Tries In [6]: import gi ...: gi.require_version('Gtk', '3.0') ...: from gi.repository import...

Example of programmatically creating and populating a TreeView in gi-gtk

I don't seem to be able to write working code that creates and populates a TreeView using the gtk 3 bindings of gi-gtk (specifically version 3.0.32). All examples I could find online are for...

Package gobject-introspection-1.0 was not found in the pkg-config search path in ubuntu

this is the error i am getting while uploading my project to heroku. remote: running build_ext remote: Package gobject-introspection-1.0 was not found in the pkg-config...

How do I get Geoclue Geolocation in Python? - What is desktop id parameter?

I'm trying to get the location (lat/lon) using GeoClue for Linux, and the Python interface (gir1.2-geoclue-2.0 package). The documentation for c nearly matches the api functions here, but I'm not...

Gst-python is installed, but can't find plugins

I'm trying to run some Gstreamer examples for the Google Coral USB accelerator - I'm not using the Coral dev board. The driver is installed and works and I can classify images from my camera using...

Mixing ctypes and python classes in _fields_

I am trying to create a ctypes wrapper for a struct that uses gobject. The struct is defined as follows: struct GstMetaStruc { GstMeta meta; GstStructure* structure; }; GstMeta has an...

Ubuntu - Anaconda 2020.02 - Namespace Gtk not available

This is on Ubuntu 16.04 LTS. I've run into the same issue as this question: https://stackoverflow.com/questions/56823857/valueerror-namespace-gtk-not-available I've done the following to set...

Installing gir1.2-gtk-3.0 on Centos

On Ubuntu there is a package for installing gir1.2-gtk-3.0: sudo apt install gir1.2-gtk-3.0 Centos 'dnf provides gir1*' results in error: No Matches found The package can be found on...

Unable to install gobject-introspection - symbol lookup error: and undefined symbol: g_unicode_type_get_type

Unable to install gobject-introspection - symbol lookup error: and undefined symbol: g_unicode_type_get_type I tried to compile Gtk4, and download gobject-introspection 1.30, 1.40, 1.50, 1.64.1....

Problem with creating an environment from .yml file, error "CondaEnvException: Pip failed" raised

I am trying to create an environment based on a .yml file, the name of the file is env.yml . I run the following snippet on terminal: conda env create -f env.yml Then anaconda starts...

Issues compiling GTK software in MSYS2/MinGW with PyInstaller

I had a year old version of MSYS2/MinGW that was using PyInstaller with Python3.7 to compile a C GTK application in Windows (python was needed for a plotting script) and everything worked fine...

How to set MACOSX_DEPLOYMENT_TARGET in meson for pango, harfbuzz, glib, etc

I am trying to compile libs for usage on OS X 10.8 and newer. When I am building for example libpng library, I am using this script and it works (resulting library is compatible with OS X 10.8 and...

Python3: Namespace AppIndicator3 not available

OS: Kubuntu 18.04 I have a Python program (program.py) that has this at the beginning: import shlex import sys import notify2 import os import gi gi.require_version("Gtk", "3.0") from...

brew install ffmpeg installs python 3.9

For some reason brew install ffmpeg downloads python 3.9 as dependence ==> Installing dependencies for ffmpeg: gnutls, [email protected], glib, cairo, gobject-introspection, harfbuzz, libass and...

Does simply uninstalling Python 3.9 and installing Python 3.8 again with Homebrew work?

I used Python 3.8.6, installed via Homebrew on my Mac (Mac OS 11.1), and everything was fine. After upgrading Python to 3.9 (and later 3.9.1) with Homebrew, there is an issue with one of the...

Installing gtk2 gem on ruby

Im currently running debian 10 operating system. I try to install gtk2 gem for ruby but I have the following error. I updated gcc and libtool but I got the same error. I have already installed...

Getting segmentation fault in import gi.repository in Python PyGobject?

I have installed gstreamer from source using cerbero with the help of this link...

gobject-introspection 1.68 not installing in Macos Mojave

I am trying to install gobject-introspection v-1.68 as a dependency of gdal on my macbook pro (macOS mojave version 10.14.6 (18G9028)). I am installing it through brew. But it is showing some...